<?php
namespace App\Http\Controllers\Outer\TencentAd\TencentProduct;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use DB;

class TencentProductController extends Controller
{
    public function siteMapXml(Request $request)
    {
        $product_index_info = DB::
        table('tencent_product_configs')
            ->where('type','SITE_MAP_XML_URL')
            ->first();
        
            \Log::info('siteMapXml:'.json_encode($product_index_info));
         
        $xml = <<<XML
<?xml version='1.0' encoding='utf-8'?>
<sitemapindex>
    <sitemap>
        <loc>{$product_index_info->value}</loc>
        <lastmod>{$product_index_info->updated_at}</lastmod>
    </sitemap>
</sitemapindex>
XML;
        return response($xml,200)->header("Content-type","text/xml");
    }
}